tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Punky Tse" <punky...@yahoo.com>
Subject Re: Error running Apache 2.0 with mod_webapp.so or mod_jk-01.sobinaries
Date Tue, 16 Apr 2002 04:37:42 GMT

> >> [root@bicaweb_dev webapps]# $APACHE_HOME/bin/apachectl start
> >> Syntax error on line 220 of /opt/apache2/conf/httpd.conf:
> >> Cannot load /opt/apache2/modules/mod_webapp.so into server:
> >> /opt/apache2/modules
> >> /mod_webapp.so: undefined symbol: ap_table_get
> >> /opt/apache2/bin/apachectl start: httpd could not be started
> >>
> > Hum.. seems like the pre-build binary using the older version of APR?  I
> > don't  know, my recent copy of 2.0.36-dev also does not have
ap_table_get()
> > function:
> >
> > nm httpd | grep ap_table_get
> >
> > howerver, I found apr_table_get symbol in httpd instead.  Anybody here
in
> > this list know if there had been such API change in APR?
>
> No, AFAIK apr_table_get never changed... What _really_ puzzles me, is that
> ap_table_get is used in httpd 1.3... I believe this is because he's using
a
> module compiled for 1.3 under 2.0...
>
>     Pier

Pier,
Yeah.. You are correct.  This guy replied privately to me that mod_webapp is
now working on his box after he build the source from CVS.

For the pre-built binary, shouldn't we provide two sets of binaries (1.3 and
2.0), or just remove the them from the site?

Punky


_________________________________________________________
Do You Yahoo!?
Get your free @yahoo.com address at http://mail.yahoo.com


--
To unsubscribe, e-mail:   <mailto:tomcat-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:tomcat-dev-help@jakarta.apache.org>


Mime
View raw message